Skip to content

get_deformable_model_paramsGetDeformableModelParamsGetDeformableModelParamsget_deformable_model_paramsT_get_deformable_model_paramsπŸ”—

Short descriptionπŸ”—

get_deformable_model_paramsGetDeformableModelParamsGetDeformableModelParamsget_deformable_model_paramsT_get_deformable_model_params β€” Return the parameters of a deformable model.

SignatureπŸ”—

get_deformable_model_params( deformable_model ModelID, attribute.name GenParamName, out attribute.name GenParamValue )void GetDeformableModelParams( const HTuple& ModelID, const HTuple& GenParamName, HTuple* GenParamValue )static void HOperatorSet.GetDeformableModelParams( HTuple modelID, HTuple genParamName, out HTuple genParamValue )def get_deformable_model_params( model_id: HHandle, gen_param_name: MaybeSequence[str] ) -> Sequence[Union[int, str, float]]

def get_deformable_model_params_s( model_id: HHandle, gen_param_name: MaybeSequence[str] ) -> Union[int, str, float]Herror T_get_deformable_model_params( const Htuple ModelID, const Htuple GenParamName, Htuple* GenParamValue )

HTuple HDeformableModel::GetDeformableModelParams( const HTuple& GenParamName ) const

HTuple HDeformableModel::GetDeformableModelParams( const HString& GenParamName ) const

HTuple HDeformableModel::GetDeformableModelParams( const char* GenParamName ) const

HTuple HDeformableModel::GetDeformableModelParams( const wchar_t* GenParamName ) const (Windows only)

HTuple HDeformableModel.GetDeformableModelParams( HTuple genParamName )

HTuple HDeformableModel.GetDeformableModelParams( string genParamName )

DescriptionπŸ”—

The operator get_deformable_model_paramsGetDeformableModelParams allows to query parameters of the deformable model. The names of the desired parameters are passed in the generic parameter GenParamNamegenParamNamegen_param_name, the corresponding values are returned in GenParamValuegenParamValuegen_param_value.

The following parameters can be queried:

  • 'cam_param'"cam_param": Internal parameters of the camera that is used for the calibrated case.

  • 'cam_param_rect'"cam_param_rect": Rectified internal parameters of the camera that is used for the calibrated case.

  • 'reference_pose'"reference_pose": Reference position and orientation of the calibrated deformable model. The returned pose describes the model plane that the user provided.

  • 'model_pose'"model_pose": Reference position and orientation of the deformable model. The returned pose describes the pose of the internally used 3D metric model that was used for model generation. The pose refers to the model’s center of gravity if not explicitly set with set_deformable_model_originSetDeformableModelOrigin.

  • 'angle_start'"angle_start": The smallest rotation angle of the model.

  • 'angle_extent'"angle_extent": The extent of the rotation angle of the model.

  • 'angle_step'"angle_step": The angle step length of the model.

  • 'scale_r_min'"scale_r_min": The minimum scale of the pattern in row direction.

  • 'scale_r_max'"scale_r_max": The maximum scale of the pattern in row direction.

  • 'scale_r_step'"scale_r_step": The scale step of the pattern in row direction.

  • 'scale_c_min'"scale_c_min": The minimum scale of the pattern in column direction.

  • 'scale_c_max'"scale_c_max": The maximum scale of the pattern in column direction.

  • 'scale_c_step'"scale_c_step": The scale step of the pattern in column direction.

  • 'num_levels'"num_levels": User-specified number of pyramid levels.

  • 'optimization'"optimization": Kind of optimization by reducing the number of model points.

  • 'min_size'"min_size": Minimum size of the deformable model edge.

  • 'min_contrast'"min_contrast": Minimum contrast of the objects in the search images.

  • 'metric'"metric": Match metric.

  • 'model_row'"model_row": Row coordinate of origin in the radial undistorted model image.

  • 'model_col'"model_col": Column coordinate of origin in the radial undistorted model image.

  • 'model_type'"model_type": The type of the model: 'planar_uncalib'"planar_uncalib", 'planar_calib'"planar_calib" or 'local'"local".

  • 'created_from_xld'"created_from_xld": Was the model created from XLD or from an image: 'created_from_xld'"created_from_xld" or 'created_from_image'"created_from_image".

  • 'get_deformable_model_contours_coord_system'"get_deformable_model_contours_coord_system": Coordinate system ('image'"image" or 'world'"world") in which contours are returned when calling the operator get_deformable_model_contoursGetDeformableModelContours.

A detailed description of the parameters can be looked up with the operator create_planar_uncalib_deformable_modelCreatePlanarUncalibDeformableModel and create_planar_calib_deformable_modelCreatePlanarCalibDeformableModel or with the operator get_deformable_model_contoursGetDeformableModelContours.

Note that although the parameter Contrastcontrastcontrast can be determined automatically during the model creation, its value cannot be queried using get_deformable_model_paramsGetDeformableModelParams. Instead, the operator determine_deformable_model_paramsDetermineDeformableModelParams should be used to retrieve its value.

It is possible to query the values of several parameters with a single operator call by passing a tuple containing the names of all desired parameters to GenParamNamegenParamNamegen_param_name. As a result a tuple of the same length with the corresponding values is returned in GenParamValuegenParamValuegen_param_value. Note that this is solely possible for parameters that return only a single value.

Execution informationπŸ”—

Execution information
  • Multithreading type: reentrant (runs in parallel with non-exclusive operators).

  • Multithreading scope: global (may be called from any thread).

  • Processed without parallelization.

ParametersπŸ”—

ModelIDmodelIDmodel_id (input_control) deformable_model β†’ (handle)HTuple (HHandle)HDeformableModel, HTuple (IntPtr)HHandleHtuple (handle)

Handle of the model.

GenParamNamegenParamNamegen_param_name (input_control) attribute.name(-array) β†’ (string)HTuple (HString)HTuple (string)MaybeSequence[str]Htuple (char*)

Names of the generic parameters that are to be queried for the deformable model.

Default: 'angle_start'"angle_start"
List of values: 'angle_extent', 'angle_start', 'angle_step', 'cam_param', 'cam_param_rect', 'created_from_xld', 'get_deformable_model_contours_coord_system', 'metric', 'min_contrast', 'min_size', 'model_col', 'model_pose', 'model_row', 'model_type', 'num_levels', 'optimization', 'reference_pose', 'scale_c_max', 'scale_c_min', 'scale_c_step', 'scale_r_max', 'scale_r_min', 'scale_r_step'"angle_extent", "angle_start", "angle_step", "cam_param", "cam_param_rect", "created_from_xld", "get_deformable_model_contours_coord_system", "metric", "min_contrast", "min_size", "model_col", "model_pose", "model_row", "model_type", "num_levels", "optimization", "reference_pose", "scale_c_max", "scale_c_min", "scale_c_step", "scale_r_max", "scale_r_min", "scale_r_step"

GenParamValuegenParamValuegen_param_value (output_control) attribute.name(-array) β†’ (string / integer / real)HTuple (HString / Hlong / double)HTuple (string / int / long / double)Sequence[Union[int, str, float]]Htuple (char* / Hlong / double)

Values of the generic parameters.

ResultπŸ”—

If the parameters are valid, the operator get_deformable_model_paramsGetDeformableModelParams returns the value 2 (H_MSG_TRUE). If necessary an exception is raised.

Combinations with other operatorsπŸ”—

Combinations

Possible predecessors

create_planar_uncalib_deformable_modelCreatePlanarUncalibDeformableModel, create_planar_calib_deformable_modelCreatePlanarCalibDeformableModel, create_local_deformable_modelCreateLocalDeformableModel

Possible successors

find_planar_uncalib_deformable_modelFindPlanarUncalibDeformableModel, find_planar_calib_deformable_modelFindPlanarCalibDeformableModel

See also

set_deformable_model_paramSetDeformableModelParam

ModuleπŸ”—

Matching